--[[
Description: This plugin is part of the "Titan Panel [Attributes] Multi" addon. It shows your Honor Level, Honor Points and Prestige.
Site: http://www.curse.com/addons/wow/titan-panel-attributes-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local ACE = LibStub("AceLocale-3.0"):GetLocale("Titan", true)
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "TITAN_HNRLLM"
local prestige = 0
local honor = 0
local honormax = 0
local honorlevel = 0
local unused = 0
local CHARCOLOR = "|c" .. RAID_CLASS_COLORS[select(2, UnitClass("player"))].colorStr
-----------------------------------------------
local function OnClick(self, button)
	if (button == "LeftButton") then

		if (not IsAddOnLoaded("Blizzard_TalentUI")) then LoadAddOn("Blizzard_TalentUI") end
		--PlayerTalentFrame_Toggle(PVP_TALENTS_TAB)
		if (not PlayerTalentFrame:IsShown()) then
			ShowUIPanel(PlayerTalentFrame)
			PlayerTalentTab_OnClick(_G["PlayerTalentFrameTab3"])
		else
			PlayerTalentFrame_Close()
		end
		
	end
end
-----------------------------------------------
local function OnUpdate(self, id)
	local pres = UnitPrestige("Player");
	local hnr = UnitHonor("player");
	local hnrmax = UnitHonorMax("player");
	local hnrlvl = UnitHonorLevel("player");
	local unus = GetNumUnspentPvpTalents("player");

	if prestige == pres and honor == hnr and honormax == hnrmax and honorlevel == hnrlvl and unused == unus then return end
	prestige = pres
	honor = hnr
	honormax = hnrmax
	honorlevel = hnrlvl
	unused = unus

	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)

	local talentstouse = "|cFFFFFFFF"..unused.."!|r "
	if unused == 0 then
		talentstouse = ""
	end

	local prestigetext = "|cFFFF2e2e"..prestige.."|r|cFFFFFFFF-|r"
	if prestige == 0 then
		prestigetext = ""
	end

	local diff = honormax - honor
	local porcentagem = (honor * 100 / honormax)
	local fulltext = talentstouse.."|cFFFFFFFF[|r"..prestigetext..CHARCOLOR..honorlevel.."|r|cFFFFFFFF]|r|cFF69FF69 "..honor.."|r|||cFFFFFFFF"..honormax.." |cFFFF2e2e("..diff..")|r |cFFFFFFFF[|cFF69FF69"..(string.format("%.1f", porcentagem)).."%|r|cFFFFFFFF]"
	local compacttext = "|cFFFFFFFF[|r"..CHARCOLOR..honorlevel.."|r|cFFFFFFFF]|r|cFF69FF69 "..honor.."|r|||cFFFFFFFF"..honormax

	local text = fulltext
	if TitanGetVar(ID, "SimpleText") then
		text = compacttext -- Texto simples
	end

	return L["hxp"]..": ", text
end
-----------------------------------------------
local function GetTooltipText(self, id)

	local tousettp = "|r\r"..L["hunuse"]..unused
	if unused == 0 then
		tousettp = ""
	end

	local diff = honormax - honor
	return L["hinthonor"]..L["hprestige"]..prestige.."|r\r"..L["hlvl"]..honorlevel.."|r\r"..L["hcurrent"]..honor.."|r\r"..L["hmax"]..honormax.."|r\r"..L["htoup"]..diff..tousettp
end
-----------------------------------------------
local function PrepareMenu(self, id)
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[id].menuText)
	TitanPanelRightClickMenu_AddToggleIcon(id)
	TitanPanelRightClickMenu_AddToggleLabelText(id)

	local info = UIDropDownMenu_CreateInfo();
	info.text = L["simpleText"];
	info.func = function() TitanToggleVar(id, "SimpleText"); TitanPanelButton_UpdateButton(id); end
	info.checked = TitanGetVar(id, "SimpleText");
	Lib_UIDropDownMenu_AddButton(info);

	local info = UIDropDownMenu_CreateInfo();
	info.text = ACE["TITAN_CLOCK_MENU_DISPLAY_ON_RIGHT_SIDE"];
	info.func = function() TitanToggleVar(id, "DisplayOnRightSide"); TitanPanel_InitPanelButtons(id); end
	info.checked = TitanGetVar(id, "DisplayOnRightSide");
	Lib_UIDropDownMenu_AddButton(info);

	TitanPanelRightClickMenu_AddSpacer()
	TitanPanelRightClickMenu_AddCommand(ACE["TITAN_PANEL_MENU_HIDE"], id, TITAN_PANEL_MENU_FUNC_HIDE);
end
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFFf9251a "..L["hxp"].."|r".." Multi",
	tooltip = L["hxp"],
	icon = "Interface\\Icons\\spell_warrior_gladiatorstance",
	category = "Combat",
	version = version,
	onUpdate = OnUpdate,
	onClick = OnClick,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = PrepareMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		SimpleText = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	},
})
